
import { ScrollView, Image } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default function HouseTypeIntro (props) {
  const { Info = [] } = props
  
  return (
    <view className='components HouseTypeIntro'>

      <view className='Title flex-h'>
        <view className='flex-item'>
          <text>户型介绍（{Info.length}）</text>
        </view>
        <text>更多</text>
        <text className='iconfont icon-jiantouright'></text>
      </view>

      <view className='ProjectList'>
        <ScrollView scroll-x>
          {
            Info.map((item, index) => (
              <view className='ListItem' key={`List-${index}`}>
                <view className='Img'>
                  <Image mode='aspectFill' src={item.buildingImgList.length ? item.buildingImgList[0].url : null}></Image>
                </view>
                <view className='Title'>
                  <text>{item.apartmentName}</text>
                </view>
                <text>建面{item.buildingArea || `-`}m²</text>
                <text>套内{item.insideArea || `-`}m²</text>
              </view>
            ))
          }
        </ScrollView>
      </view>

    </view>
  )
}
