import { useState, useEffect } from '@tarojs/taro'
import { Map } from '@tarojs/components'
import { POI_TYPES } from '@/utils/amap'
import { useSelector } from 'react-redux'
import '@/assets/css/iconfont.css'
import './index.scss'

export default function Periphery (props) {
  const { List = [], Info = {} } = props

  const CutTab = (index) => {
    return () => {
      
    }
  }

  const ClassName = (label) => {
    switch (label) {
      case '交通':
        return 'iconfont icon-jiaotong'
      case '商业':
        return 'iconfont icon-shangye'
      case '学校':
        return 'iconfont icon-xuexiao'
      case '医院':
        return 'iconfont icon-yiyuan'
      case '银行':
        return 'iconfont icon-yinhang'
      case '餐饮':
        return 'iconfont icon-canyin'
      default:
        return ''
    }
  }

  return (
    <view className='components Periphery'>

      <view className='Title flex-h'>
        <view className='flex-item'>
          <text>位置及周边配套</text>
        </view>
      </view>

      <view className='Map'>
        <view>
          <Map
            id='poi-around'
            show-location
            scale={12}
            markers={[]}
            enable-enableScroll
            enable-zoom
          ></Map>
        </view>
      </view>

      <view className='List flex-h'>
        {
          List.map((item, index) => (
            <view className='flex-item' key={`Item-${index}`} onClick={CutTab(index)}>
              <text className={ClassName(item.label)}></text>
              <text>{item.label}({item.data.length})</text>
            </view>
          ))
        }
      </view>

    </view>
  )
}
