import { useState, useEffect } from 'react'
import { useSelector } from 'react-redux'
import Taro from '@tarojs/taro'
import { fetch } from '@/utils/request'
import { API_ACTIVITY_LIST } from '@/constants/api'
import './index.scss'
import '../../../../assets/css/iconfont.css'

export default function HotRecommend () {

  const city = useSelector(state => state.city)
  const [MenuList] = useState([{ name: '热门活动', id: 1 }, { name: '热门团房', id: 2 }])
  const [CurrentId, setCurrentId] = useState(1)
  const [CurrentContentInfo, setCurrentContentInfo] = useState({ name: '#大运河孔雀城时代', desc: '5月30日六一儿童节表演赛案场展开！' })

  useEffect(() => {
    if(city.curCity.name) {
      GetRecommendActivity()
    }
  }, [city])

  const GetRecommendActivity = () => {
    fetch({url: API_ACTIVITY_LIST, method: 'get', payload: {pageNum: 1, pageSize: 1, cityId: city.curCity.id}}).then((res) => {
      
    })
  }

  const CutMenu = (id) => {
    return () => {
      setCurrentId(id)
    }
  }

  const ToMore = () => {
    Taro.navigateTo({url: `/pages/index/activityList/index?type=${CurrentId}`})
  }

  return (
    <view className='components HotRecommend'>
      <view>
        <view className='Menu flex-h'>
          {
            MenuList.map((item, index) => (
              <view onClick={CutMenu(item.id)} className={CurrentId === item.id ? 'active flex-item' : 'flex-item'} key={`Menu-${index}`}>{item.name}</view>
            ))
          }
        </view>
        <view className='Content'>
          <view className='flex-h'>
            <text className='flex-item'>{CurrentContentInfo.name}</text>
            <text onClick={ToMore}>{CurrentId === 1 ? '更多活动' : '更多团房'}</text>
          </view>
          <text>{CurrentContentInfo.desc}</text>
        </view>
      </view>
    </view>
  )
}
